<?php

/*
 * This file is part of EC-CUBE
 *
 * Copyright(c) LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Plugin\ForIbn4204;

use Eccube\Event\TemplateEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class ForIbn4204Event implements EventSubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return [
			'@admin/Product/category.twig' => 'onAdminCategory',
        ];
    }

    public function onAdminCategory(TemplateEvent $event)
    {
        $event->addSnippet('@ForIbn4204/admin/add_category.twig');
    }
}
